Subject: Re: [RFC PATCH v3 2/5] powerpc: Exception hooks for context tracking subsystem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 May 2013 20:01:45 +1000

On Mon, 2013-05-13 at 17:46 +0800, Li Zhong wrote:
> > hash_page() won't start a new RCU, at least not in its current incarnation,
> > the only thing I can see it ever doing would be to take some RCU read locks one
> > day (it doesn't today).
> 
> Seems I added the hooks because of the trace point of hcall
> entry/exit ...

Oh I see, and trace points use RCU ... ok, leave it there then.

Cheers,
Ben.